---
title: List Phone Numbers | API Docs
---

GET

/api/partner/v2/phone\_numbers

Select code sample cURL (shell:curl)

```
const url = 'https://api.linqapp.com/api/partner/v2/phone_numbers';
const options = {
  method: 'GET',
  headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```
curl --request GET \
  --url https://api.linqapp.com/api/partner/v2/phone_numbers \
  --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'
```

- Production server api.linqapp.com/api/partner/v2/phone\_numbers

Retrieves all phone numbers associated with the authenticated partner organization

## Authorizations

- **[ApiKeyAuth](/v2/api/#apikeyauth/index.md)**

## Responses

### 200

Successful response

Media type application/json

object

**phone\_numbers**

Array\<object>

object

**id**

integer

**phone\_number**

string

**forwarding\_number**

Phone number where calls are forwarded when this number is unavailable

string

nullable

**response\_rate**

Response rate as messages per second

integer

##### Example

```
{
  "phone_numbers": [
    {
      "id": 99,
      "phone_number": "+19498151221",
      "forwarding_number": null,
      "response_rate": 75
    }
  ]
}
```
